package com.ruoyi.system.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 发布内容对象 cps_content_info
 *
 * @author ruoyi
 * @date 2024-08-14
 */
public class CpsContentInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 自增主键 */
    private Long id;

    /** 发布内容标题 */
    @Excel(name = "发布内容标题")
    private String title;

    /** 内容主体信息 */
    @Excel(name = "内容主体信息")
    private String content;

    /** 内容缩略图 */
    @Excel(name = "内容缩略图")
    private String thumbnail;

    /** 资讯类型 */
    @Excel(name = "资讯类型")
    private Integer contentType;
    @Excel(name = "点赞数")
    private Integer likeCnt;
    @Excel(name = "收藏数")
    private Integer collectedCnt;

    private String deptId;


    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }

    public void setTitle(String title)
    {
        this.title = title;
    }

    public String getTitle()
    {
        return title;
    }

    public void setContent(String content)
    {
        this.content = content;
    }

    public String getContent()
    {
        return content;
    }

    public void setThumbnail(String thumbnail)
    {
        this.thumbnail = thumbnail;
    }

    public String getThumbnail()
    {
        return thumbnail;
    }

    public void setContentType(Integer contentType)
    {
        this.contentType = contentType;
    }

    public Integer getContentType()
    {
        return contentType;
    }

    public Integer getLikeCnt() {
        return likeCnt;
    }

    public void setLikeCnt(Integer likeCnt) {
        this.likeCnt = likeCnt;
    }

    public Integer getCollectedCnt() {
        return collectedCnt;
    }

    public void setCollectedCnt(Integer collectedCnt) {
        this.collectedCnt = collectedCnt;
    }

    public String getDeptId() {
        return deptId;
    }

    public void setDeptId(String deptId) {
        this.deptId = deptId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("title", getTitle())
            .append("content", getContent())
            .append("thumbnail", getThumbnail())
            .append("contentType", getContentType())
            .append("updateTime", getUpdateTime())
            .append("createTime", getCreateTime())
            .append("createBy", getCreateBy())
            .append("updateBy", getUpdateBy())
            .toString();
    }
}
